Skip to main content

Get customer loyalty card by ID

GET /v1/public/customers/{customerId}/cards/{cardId}

Returns one customer loyalty-card instance. The card ID identifies the customer instance, while cardId in the response identifies its merchant template.

Authorization

X-API-Key required with the customers:read scope

Parameters

NameLocationTypeRequiredDescription
customerIdpathstringYesThe customer's returned id or externalId.
cardIdpathstringYesThe customer loyalty-card instance's returned id or externalId, not its template ID.

Request example

curl -X GET "https://api.remyrewards.co.uk/v1/public/customers/66c735e253f2836fbe941235/cards/66c735e253f2836fbe941237" \
  -H "Accept: application/json" \
  -H "X-API-Key: YOUR_API_KEY"

Responses

StatusDescription
200Customer loyalty card retrieved.
401The API key is missing or invalid.
403The API key is valid but does not have the required scope.
404The requested integration resource was not found.
429A rate or concurrency limit was exceeded.

Success response example

{
"success": true,
"data": {
"id": "66c735e253f2836fbe941237",
"cardId": "66c735e253f2836fbe941238",
"title": "Coffee Club",
"type": "stamp",
"stamps": 4,
"points": 0
}
}